
Redmine - Feature #12216

Textual CSS class for priorities

2012-10-26 03:25 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed   

Description

Related issues:

Related to Redmine - Defect #2071: Reordering priority-enumerations breaks al... Closed 2008-10-22

Related to Redmine - Defect #6939: Low and Normal priority displaying with sa... Closed 2010-11-18

Related to Redmine - Defect #14674: IssuePriority expects database counters t... Closed

Associated revisions

Revision 10720 - 2012-10-26 03:25 - Jean-Philippe Lang

Adds a textual css class for issue priorities (#12216).

Revision 10721 - 2012-10-26 04:46 - Jean-Philippe Lang

Adjusts tests for the css class added in r10720 (#12216).

Revision 10725 - 2012-10-27 08:25 - Jean-Philippe Lang

Use textual CSS class for priorities in alternate theme (#12216).

Revision 10726 - 2012-10-27 08:26 - Jean-Philippe Lang

Use textual CSS class for priorities in alternate theme (#12216).

History

#1 - 2012-10-26 03:28 - Jean-Philippe Lang

Committed in r10720.

The following CSS classes are added to issue priorities:

priority-highest

priority-high2 (2nd highest priority if it exists)

priority-high3 (3rd highest priority if it exists)

...

priority-default (the default priority)

...

priority-low3 (3rd lowest priority if it exists)

priority-low2 (2nd lowest priority if it exists)

priority-lowest

#2 - 2012-10-29 11:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

#3 - 2014-11-03 03:17 - Go MAEDA

- Related to Defect #6939: Low and Normal priority displaying with same priority class  added

#4 - 2022-08-07 15:12 - Go MAEDA

- Related to Defect #14674: IssuePriority expects database counters to be pristine added
